#include <stdlib.h>

#define MAX_STRING 256

// This contains data of a single track
typedef struct trackData{
    char title[MAX_STRING];
    char performer[MAX_STRING];
    int start_time;
    int track_number;
    struct trackData* next;
    struct trackData* prev;
} TrackData;

// This contains all the cue data
typedef struct cueData{
    char title[MAX_STRING];
    char performer[MAX_STRING];
    int total_tracks;
    struct trackData* track_head;
    struct trackData* trackdata; // Initiate first!
} CueData;

// Functions

CueData* read_cuefile(char* filename);
int print_cuedata(CueData* cuedata);
int freeup_cuedata(CueData* cuedata);

